## org.apache.commons.collections.buffer
Class TypedBuffer

    java.lang.Object
      org.apache.commons.collections.buffer.TypedBuffer

public class TypedBuffer
extends Object

Decorates another `Buffer` to validate that elements added are of a specific type.

The validation of additions is performed via an instanceof test against a specified `Class`. If an object cannot be added to the collection, an IllegalArgumentException is thrown.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.5 $ $Date: 2004/05/15 12:33:23 $
Author:
  Stephen Colebourne, Matthew Hawthorne

Constructor Summary
`protected` `TypedBuffer()` Restrictive constructor.

Method Summary
`static Buffer` `decorate(Buffer buffer, Class type)` Factory method to create a typed list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypedBuffer

    protected TypedBuffer()

  Restrictive constructor.

Method Detail

### decorate

    public static Buffer decorate(Buffer buffer,
                                  Class type)

  Factory method to create a typed list.

  If there are any elements already in the buffer being decorated, they are validated.

  Parameters:
    `buffer` - the buffer to decorate, must not be null
    `type` - the type to allow into the buffer, must not be null
  Returns:
    a new typed Buffer
  Throws:
    `IllegalArgumentException` - if buffer or type is null
    `IllegalArgumentException` - if the buffer contains invalid elements

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.